(*
    This file is part of the CompatibilityLayer project -
    which gives various ML compilers a more uniform set of
    Standard ML Basis library modules.
    
    Copyright (C) 2000 ANOQ of the Sun (alias Johnny Andersen).
    
    E-mail: anoq@HardcoreProcessing.com

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    As a special exception, if you do not do anything which is not in
    the spirit of the GNU Library General Public License, you are not
    required to physically compile this software into a separate library,
    since this is generally not possible with current Stanard ML compilers.
    However if you do something which is not in the spirit of the
    GNU Library General Public License you will have to follow the
    licence perpetually - thus disallowing you to use it for any
    commercial purposes at all.

    If you are interested in a warranty or commercial support for this
    software, contact Hardcore Processing <sales@HardcoreProcessing.com>
    for more information.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*)

structure Word32 = Word

(* FIXME: Of course this does not work - but
              it enables me to at least compile
              programs with MLKit and use MLKit
              as a typechecker for MLTon... *)
structure IEEEReal =
  struct
    datatype round =
      TO_NEAREST
  end

structure NewReal =
  struct
    open Real

    (* FIXME: Of course this does not work - but
              it enables me to at least compile
              programs with MLKit and use MLKit
              as a typechecker for MLTon... *)

    fun fromLarge a b =
          0.0

    fun toLarge a =
          0.0
  end

structure Real = NewReal

structure LargeReal =
  struct
    open Real

    (* FIXME: Of course this does not work - but
              it enables me to at least compile
              programs with MLKit and use MLKit
              as a typechecker for MLTon... *)
    val radix = 2

    fun fromManExp a =
          0.0
  end